<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".CompletionActivity">

    <RelativeLayout
        android:background="@color/background"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        tools:context=".CompletionActivity">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:visibility="visible"
            tools:context=".CompletionActivity">

            <TextView
                android:id="@+id/label_title"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_centerHorizontal="true"
                android:layout_marginTop="0dp"
                android:background="@color/title"
                android:padding="5dp"
                android:text="Completion"
                android:textAlignment="center"
                android:textAppearance="?android:attr/textAppearanceLarge"
                android:textSize="30dp"
                android:textStyle="bold" />

            <LinearLayout
                android:id="@+id/nav_bar"
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/label_title"
                android:layout_marginTop="0dp"
                android:layout_marginBottom="0dp"
                android:orientation="horizontal"
                android:weightSum="1.0">

                <TextView
                    android:id="@+id/lbl_shift_code"
                    android:layout_width="0dip"
                    android:layout_height="wrap_content"
                    android:layout_centerHorizontal="true"
                    android:layout_marginTop="0dp"
                    android:layout_weight=".35"
                    android:text="Shift code : "
                    android:textAlignment="textStart"
                    android:textAppearance="?android:attr/textAppearanceLarge"
                    android:textColor="#000"
                    android:textColorHint="#000"
                    android:textSize="16dp" />

                <!--                <TextView-->
                <!--                    android:id="@+id/lbl_work_shop_no"-->
                <!--                    android:layout_width="0dip"-->
                <!--                    android:layout_height="wrap_content"-->
                <!--                    android:layout_centerHorizontal="true"-->
                <!--                    android:layout_marginTop="0dp"-->
                <!--                    android:layout_weight=".65"-->
                <!--                    android:padding="5dp"-->
                <!--                    android:text="Work shop no :"-->
                <!--                    android:textAlignment="textEnd"-->
                <!--                    android:textAppearance="?android:attr/textAppearanceLarge"-->
                <!--                    android:textColor="#000"-->
                <!--                    android:textColorHint="#000"-->
                <!--                    android:textSize="16dp" />-->
            </LinearLayout>

            <RelativeLayout
                android:id="@+id/content"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/nav_bar"
                android:paddingLeft="5dp"
                android:paddingRight="5dp"
                android:paddingBottom="2dp"
                android:weightSum="1.0"
                tools:context=".CompletionActivity">

                <LinearLayout
                    android:id="@+id/content0"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="0dp"
                    android:orientation="horizontal"
                    android:weightSum="1.0">

                    <TextView
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_weight=".5"
                        android:height="40dp"
                        android:padding="5dp"
                        android:text="Work shop no"
                        android:textAlignment="textStart"
                        android:textAppearance="?android:attr/textAppearanceLarge"
                        android:textColor="@color/txt_color"
                        android:textSize="20dp" />

                    <Spinner
                        android:id="@+id/spiner_ws"
                        android:layout_width="0dip"
                        android:layout_height="match_parent"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_weight=".5"
                        android:background="@android:drawable/btn_dropdown"
                        android:padding="5dp"
                        android:popupBackground="@color/white"
                        android:spinnerMode="dropdown" />

                </LinearLayout>


                <LinearLayout
                    android:id="@+id/content1"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/content0"
                    android:layout_marginTop="0dp"
                    android:orientation="horizontal"
                    android:weightSum="1.0">

                    <TextView
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_weight=".5"
                        android:height="40dp"
                        android:padding="5dp"
                        android:text="Item Code"
                        android:textAlignment="textStart"
                        android:textAppearance="?android:attr/textAppearanceLarge"
                        android:textColor="@color/txt_color"
                        android:textSize="20dp" />

                    <EditText
                        android:id="@+id/txt_item_code"
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_weight=".5"
                        android:background="@color/silver"
                        android:enabled="false"
                        android:inputType="none"
                        android:padding="5dp"
                        android:singleLine="true"
                        android:textColor="@color/txt_color" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/content11"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/content1"
                    android:layout_marginTop="0dp"
                    android:orientation="horizontal"
                    android:weightSum="1.0">

                    <TextView
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_weight=".5"
                        android:height="40dp"
                        android:padding="5dp"
                        android:text="Item Name"
                        android:textAlignment="textStart"
                        android:textAppearance="?android:attr/textAppearanceLarge"
                        android:textColor="@color/txt_color"
                        android:textSize="20dp" />

                    <EditText
                        android:id="@+id/txt_item_name"
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_weight=".5"
                        android:background="@color/silver"
                        android:enabled="false"
                        android:inputType="none"
                        android:padding="5dp"
                        android:singleLine="true"
                        android:textColor="@color/txt_color" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/content2"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/content11"
                    android:layout_marginTop="0dp"
                    android:orientation="horizontal"
                    android:weightSum="1.0">

                    <TextView
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_weight=".5"
                        android:height="40dp"
                        android:padding="5dp"
                        android:text="FG Item code"
                        android:textAlignment="textStart"
                        android:textAppearance="?android:attr/textAppearanceLarge"
                        android:textColor="@color/txt_color"
                        android:textSize="20dp" />

                    <EditText
                        android:id="@+id/txt_fg_item_code"
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_weight=".5"
                        android:background="@color/silver"
                        android:enabled="false"
                        android:inputType="none"
                        android:padding="5dp"
                        android:singleLine="true"
                        android:textColor="@color/txt_color" />

                </LinearLayout>


                <LinearLayout
                    android:id="@+id/content3"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/content2"
                    android:layout_marginTop="0dp"
                    android:layout_marginBottom="0dp"
                    android:orientation="horizontal"
                    android:weightSum="1.0">

                    <TextView
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_weight=".5"
                        android:height="40dp"
                        android:padding="5dp"
                        android:text="Target Qty"
                        android:textAlignment="textStart"
                        android:textAppearance="?android:attr/textAppearanceLarge"
                        android:textColor="@color/txt_color"
                        android:textSize="20dp" />

                    <EditText
                        android:id="@+id/txt_target_qty"
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_weight=".5"
                        android:background="@color/silver"
                        android:digits="0123456789"
                        android:enabled="false"
                        android:inputType="number"
                        android:padding="5dp"
                        android:singleLine="true"
                        android:textColor="@color/txt_color" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/content4"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/content3"
                    android:layout_marginTop="0dp"
                    android:layout_marginBottom="0dp"
                    android:orientation="horizontal"
                    android:weightSum="1.0">

                    <TextView
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_weight=".5"
                        android:height="25dp"
                        android:text=""
                        android:textAlignment="textStart"
                        android:textAppearance="?android:attr/textAppearanceLarge"
                        android:textColor="@color/txt_color"
                        android:textSize="20dp" />

                    <TextView
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_weight=".25"
                        android:height="25dp"
                        android:text="OK"
                        android:textAlignment="center"
                        android:textAppearance="?android:attr/textAppearanceLarge"
                        android:textColor="@color/txt_color"
                        android:textSize="20dp" />

                    <TextView
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_weight=".25"
                        android:height="25dp"
                        android:text="NG"
                        android:textAlignment="center"
                        android:textAppearance="?android:attr/textAppearanceLarge"
                        android:textColor="@color/txt_color"
                        android:textSize="20dp" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/content5"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/content4"
                    android:layout_marginTop="0dp"
                    android:layout_marginBottom="0dp"
                    android:orientation="horizontal"
                    android:weightSum="1.0">

                    <TextView
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_weight=".5"
                        android:height="40dp"
                        android:padding="5dp"
                        android:text="Total Qty"
                        android:textAlignment="textStart"
                        android:textAppearance="?android:attr/textAppearanceLarge"
                        android:textColor="@color/txt_color"
                        android:textSize="20dp" />

                    <EditText
                        android:id="@+id/txt_total_qty_ok"
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginStart="10dp"
                        android:layout_marginTop="0dp"
                        android:layout_marginEnd="5dp"
                        android:layout_weight=".245"
                        android:background="@color/green"
                        android:digits="0123456789"
                        android:enabled="false"
                        android:inputType="number"
                        android:padding="5dp"
                        android:singleLine="true"
                        android:textAlignment="center"
                        android:textColor="@color/white" />

                    <EditText
                        android:id="@+id/txt_total_qty_ng"
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginStart="2dp"
                        android:layout_marginTop="0dp"
                        android:layout_weight=".245"
                        android:background="@color/red"
                        android:digits="0123456789"
                        android:enabled="false"
                        android:inputType="number"
                        android:padding="5dp"
                        android:singleLine="true"
                        android:textAlignment="center"
                        android:textColor="@color/white" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/content6"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/content5"
                    android:layout_marginTop="0dp"
                    android:layout_marginBottom="0dp"
                    android:orientation="horizontal"
                    android:weightSum="1.0">

                    <TextView
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_weight=".5"
                        android:height="25dp"
                        android:text=""
                        android:textAlignment="textStart"
                        android:textAppearance="?android:attr/textAppearanceLarge"
                        android:textColor="@color/txt_color"
                        android:textSize="20dp" />

                    <TextView
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_weight=".25"
                        android:height="25dp"
                        android:text="OK"
                        android:textAlignment="center"
                        android:textAppearance="?android:attr/textAppearanceLarge"
                        android:textColor="@color/txt_color"
                        android:textSize="20dp" />

                    <TextView
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_weight=".25"
                        android:height="25dp"
                        android:text="NG"
                        android:textAlignment="center"
                        android:textAppearance="?android:attr/textAppearanceLarge"
                        android:textColor="@color/txt_color"
                        android:textSize="20dp" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/content6"
                    android:layout_marginTop="0dp"
                    android:layout_marginBottom="0dp"
                    android:orientation="horizontal"
                    android:weightSum="1.0">

                    <TextView
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_weight=".5"
                        android:height="40dp"
                        android:padding="5dp"
                        android:text="Box Qty"
                        android:textAlignment="textStart"
                        android:textAppearance="?android:attr/textAppearanceLarge"
                        android:textColor="@color/txt_color"
                        android:textSize="20dp" />

                    <EditText
                        android:id="@+id/txt_box_qty_ok"
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginStart="10dp"
                        android:layout_marginTop="0dp"
                        android:layout_marginEnd="5dp"
                        android:layout_weight=".245"
                        android:background="@color/white"
                        android:digits="0123456789"
                        android:inputType="number"
                        android:padding="5dp"
                        android:singleLine="true"
                        android:textAlignment="center"
                        android:textColor="@color/txt_color" />

                    <EditText
                        android:id="@+id/txt_box_qty_ng"
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginStart="2dp"
                        android:layout_marginTop="0dp"
                        android:layout_weight=".245"
                        android:background="@color/white"
                        android:digits="0123456789"
                        android:inputType="number"
                        android:padding="5dp"
                        android:singleLine="true"
                        android:textAlignment="center"
                        android:textColor="@color/txt_color" />

                </LinearLayout>

            </RelativeLayout>


            <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
                android:id="@+id/layout_button"
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/content"
                android:layout_alignParentBottom="true"
                android:gravity="bottom"
                android:paddingBottom="10dp"
                android:orientation="horizontal"
                android:weightSum="1.0">

                <Button
                    android:id="@+id/btn_cancel"
                    android:layout_width="0dip"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="5dp"
                    android:layout_marginTop="0dp"
                    android:layout_weight=".245"
                    android:background="@color/btn_background"
                    android:backgroundTint="@color/state_bgcolor"
                    android:hint="Main Menu [P1]"
                    android:padding="2dp"
                    android:textColorHint="@color/state_color"
                    android:textSize="14dp" />

                <Button
                    android:id="@+id/btn_reprint"
                    android:layout_width="0dip"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="5dp"
                    android:layout_marginTop="0dp"
                    android:layout_weight=".245"
                    android:background="@color/btn_background"
                    android:backgroundTint="@color/state_bgcolor"
                    android:hint="Reprint [P3]"
                    android:padding="2dp"
                    android:textColorHint="@color/state_color"
                    android:textSize="14dp" />

                <Button
                    android:id="@+id/btn_delete"
                    android:layout_width="0dip"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="5dp"
                    android:layout_marginTop="0dp"
                    android:layout_weight=".245"
                    android:background="@color/btn_background"
                    android:backgroundTint="@color/state_bgcolor"
                    android:hint="Delete [P4]"
                    android:padding="2dp"
                    android:textColorHint="@color/state_color"
                    android:textSize="14dp" />

                <Button
                    android:id="@+id/btn_label"
                    android:layout_width="0dip"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="5dp"
                    android:layout_marginTop="0dp"
                    android:layout_weight=".245"
                    android:background="@color/btn_background"
                    android:backgroundTint="@color/state_bgcolor"
                    android:hint="Label    [P2]"
                    android:padding="2dp"
                    android:textColorHint="@color/state_color"
                    android:textSize="14dp"
                    android:textStyle="normal" />
            </LinearLayout>

            <EditText
                android:id="@+id/txt_label_issue_tmp"
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/layout_button"
                android:layout_centerHorizontal="true"
                android:layout_marginTop="50dp"
                android:background="@color/white"
                android:inputType="none"
                android:padding="5dp"
                android:textColor="@color/txt_color"
                android:visibility="visible" />

        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/reprintLayout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:paddingLeft="5dp"
            android:paddingTop="120dp"
            android:paddingRight="5dp"
            android:paddingBottom="15dp"
            android:visibility="invisible"
            android:weightSum="1.0"
            tools:context=".CompletionActivity">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/background_border"
                android:paddingLeft="5dp"
                android:paddingTop="5dp"
                android:paddingRight="5dp"
                android:paddingBottom="15dp"
                android:visibility="visible"
                android:weightSum="1.0"
                tools:context=".CompletionActivity">

                <TextView
                    android:id="@+id/txt_reprint_error"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:layout_marginBottom="5dp"
                    android:paddingLeft="30dp"
                    android:paddingRight="30dp"
                    android:text="No Serial no."
                    android:textAlignment="center"
                    android:textColor="@color/red"
                    android:textSize="24dp" />

                <EditText
                    android:id="@+id/txt_reprint_serial_no"
                    android:layout_width="200dip"
                    android:layout_height="wrap_content"
                    android:layout_below="@id/txt_reprint_error"
                    android:layout_centerHorizontal="true"
                    android:layout_marginStart="10dp"
                    android:layout_marginTop="0dp"
                    android:layout_marginEnd="5dp"
                    android:background="@color/white"
                    android:padding="5dp"
                    android:singleLine="true"
                    android:textAlignment="center"
                    android:textColor="@color/txt_color" />

                <Button
                    android:id="@+id/reprintLayout_btn1"
                    android:layout_width="200dp"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/txt_reprint_serial_no"
                    android:layout_centerHorizontal="true"
                    android:layout_marginStart="5dp"
                    android:layout_marginTop="10dp"
                    android:background="@color/btn_background"
                    android:backgroundTint="@color/state_bgcolor"
                    android:hint="Reprint [P1]"
                    android:padding="2dp"
                    android:textColorHint="@color/state_color"
                    android:textSize="21dp"
                    android:textStyle="normal" />

                <Button
                    android:id="@+id/reprintLayout_btn2"
                    android:layout_width="200dp"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/reprintLayout_btn1"
                    android:layout_centerHorizontal="true"
                    android:layout_marginStart="5dp"
                    android:layout_marginTop="5dp"
                    android:background="@color/btn_background"
                    android:backgroundTint="@color/btn_backgroundtint"
                    android:hint="Cancel [P2]"
                    android:padding="2dp"
                    android:textColorHint="@color/txt_color"
                    android:textSize="21dp"
                    android:textStyle="normal" />

            </RelativeLayout>
        </RelativeLayout>


        <RelativeLayout
            android:id="@+id/deleteLayout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:paddingLeft="5dp"
            android:paddingTop="120dp"
            android:paddingRight="5dp"
            android:paddingBottom="15dp"
            android:visibility="invisible"
            android:weightSum="1.0"
            tools:context=".CompletionActivity">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/background_border"
                android:paddingLeft="5dp"
                android:paddingTop="5dp"
                android:paddingRight="5dp"
                android:paddingBottom="15dp"
                android:visibility="visible"
                android:weightSum="1.0"
                tools:context=".CompletionActivity">

                <TextView
                    android:id="@+id/txt_delete_error"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:layout_marginBottom="5dp"
                    android:paddingLeft="30dp"
                    android:paddingRight="30dp"
                    android:text="No Serial no."
                    android:textAlignment="center"
                    android:textColor="@color/red"
                    android:textSize="24dp" />

                <EditText
                    android:id="@+id/txt_delete_serial_no"
                    android:layout_width="200dip"
                    android:layout_height="wrap_content"
                    android:layout_below="@id/txt_delete_error"
                    android:layout_centerHorizontal="true"
                    android:layout_marginStart="10dp"
                    android:layout_marginTop="0dp"
                    android:layout_marginEnd="5dp"
                    android:background="@color/white"
                    android:padding="5dp"
                    android:singleLine="true"
                    android:textAlignment="center"
                    android:textColor="@color/txt_color" />

                <Button
                    android:id="@+id/deleteLayout_btn1"
                    android:layout_width="200dp"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/txt_delete_serial_no"
                    android:layout_centerHorizontal="true"
                    android:layout_marginStart="5dp"
                    android:layout_marginTop="10dp"
                    android:background="@color/btn_background"
                    android:backgroundTint="@color/state_bgcolor"
                    android:hint="Delete [P1]"
                    android:padding="2dp"
                    android:textColorHint="@color/state_color"
                    android:textSize="21dp"
                    android:textStyle="normal" />

                <Button
                    android:id="@+id/deleteLayout_btn2"
                    android:layout_width="200dp"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/deleteLayout_btn1"
                    android:layout_centerHorizontal="true"
                    android:layout_marginStart="5dp"
                    android:layout_marginTop="5dp"
                    android:background="@color/btn_background"
                    android:backgroundTint="@color/btn_backgroundtint"
                    android:hint="Cancel [P2]"
                    android:padding="2dp"
                    android:textColorHint="@color/txt_color"
                    android:textSize="21dp"
                    android:textStyle="normal" />

            </RelativeLayout>
        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/popupLayout1"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:paddingLeft="5dp"
            android:paddingTop="100dp"
            android:paddingRight="5dp"
            android:paddingBottom="15dp"
            android:visibility="invisible"
            android:weightSum="1.0"
            tools:context=".CompletionActivity">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/background_border"
                android:paddingLeft="5dp"
                android:paddingTop="5dp"
                android:paddingRight="5dp"
                android:paddingBottom="15dp"
                android:visibility="visible"
                android:weightSum="1.0"
                tools:context=".CompletionActivity">

                <TextView
                    android:id="@+id/popupLayout1_txt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:layout_marginBottom="5dp"
                    android:paddingLeft="30dp"
                    android:paddingRight="30dp"
                    android:text="Production has already ended."
                    android:textAlignment="center"
                    android:textColor="@color/red"
                    android:textSize="24dp" />

                <Button
                    android:id="@+id/popupLayout1_btn1"
                    android:layout_width="200dp"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/popupLayout1_txt"
                    android:layout_centerHorizontal="true"
                    android:layout_marginStart="5dp"
                    android:layout_marginTop="0dp"
                    android:background="@color/btn_background"
                    android:backgroundTint="@color/btn_backgroundtint"
                    android:hint="Skip [P1]"
                    android:padding="2dp"
                    android:textColorHint="@color/txt_color"
                    android:textSize="21dp"
                    android:textStyle="normal" />

                <Button
                    android:id="@+id/popupLayout1_btn2"
                    android:layout_width="200dp"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/popupLayout1_btn1"
                    android:layout_centerHorizontal="true"
                    android:layout_marginStart="5dp"
                    android:layout_marginTop="5dp"
                    android:background="@color/btn_background"
                    android:backgroundTint="@color/btn_backgroundtint"
                    android:hint="Cancel [P2]"
                    android:padding="2dp"
                    android:textColorHint="@color/txt_color"
                    android:textSize="21dp"
                    android:textStyle="normal" />

            </RelativeLayout>
        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/popupLayout2"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:clickable="true"
            android:paddingLeft="5dp"
            android:paddingTop="150dp"
            android:paddingRight="5dp"
            android:paddingBottom="15dp"
            android:visibility="invisible"
            android:weightSum="1.0"
            tools:context=".CompletionActivity">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/background_border"
                android:paddingLeft="5dp"
                android:paddingTop="5dp"
                android:paddingRight="5dp"
                android:paddingBottom="15dp"
                android:weightSum="1.0"
                tools:context=".CompletionActivity">

                <TextView
                    android:id="@+id/popupLayout2_txt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:layout_marginBottom="5dp"
                    android:paddingLeft="30dp"
                    android:paddingRight="30dp"
                    android:text="Matched"
                    android:textAlignment="center"
                    android:textColor="@color/txt_color"
                    android:textSize="24dp" />

                <Button
                    android:id="@+id/popupLayout2_btn1"
                    android:layout_width="200dp"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/popupLayout2_txt"
                    android:layout_centerHorizontal="true"
                    android:layout_marginStart="5dp"
                    android:layout_marginTop="0dp"
                    android:background="@color/green"
                    android:hint="OK [ENT]"
                    android:padding="2dp"
                    android:textColorHint="@color/white"
                    android:textSize="21dp"
                    android:textStyle="normal" />

            </RelativeLayout>
        </RelativeLayout>
    </RelativeLayout>


    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/layout_Outstanding"
        android:layout_width="match_parent"
        android:layout_height="300dp"
        android:layout_marginStart="4dp"
        android:layout_marginEnd="4dp"
        android:background="@drawable/button_backgroup_alert"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:id="@+id/textView9"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:gravity="center"
            android:text="Item / Required qty"
            android:textColor="@color/black"
            android:textSize="20sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0.0"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/view_Outstanding"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginStart="8dp"
            android:layout_marginTop="8dp"
            android:layout_marginEnd="8dp"
            android:layout_marginBottom="8dp"
            app:layout_constraintBottom_toTopOf="@+id/btn_close"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/textView9" />

        <Button
            android:id="@+id/btn_close"
            style="@style/Base.Widget.AppCompat.Button.Borderless"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="8dp"
            android:layout_marginBottom="8dp"
            android:text="Close"
            android:textAllCaps="false"
            android:textColor="@color/black"
            android:textSize="20sp"
            android:visibility="visible"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>